From 7b75ba52415119fbde0dd2c5eb112e5e43a503ff Mon Sep 17 00:00:00 2001
From: Gerd Hoffmann <kraxel@redhat.com>
Date: Fri, 24 Oct 2014 08:55:19 +0200
Subject: [PATCH 6/8] spice: call qemu_spice_set_passwd() during init
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Message-id: <1414140919-23797-2-git-send-email-kraxel@redhat.com>
Patchwork-id: 61871
O-Subject: [RHEL-7.1 qemu-kvm-rhev PATCH 1/1] spice: call qemu_spice_set_passwd() during init
Bugzilla: 1140975
RH-Acked-by: Laszlo Ersek <lersek@redhat.com>
RH-Acked-by: Uri Lublin <uril@redhat.com>
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>

From: Marc-André Lureau <marcandre.lureau@gmail.com>

Don't call SPICE API directly to set password given in command line, but
use the internal API, saving password for later calls.

This solves losing password when changing expiration in qemu monitor.

https://bugzilla.redhat.com/show_bug.cgi?id=1138639

Signed-off-by: Gerd Hoffmann <kraxel@redhat.com>
(cherry picked from commit 07d49a53b6394941ed833486a3acb5c480d87db2)
Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
---
 ui/spice-core.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/ui/spice-core.c b/ui/spice-core.c
index 7bb91e6..f2e6521 100644
--- a/ui/spice-core.c
+++ b/ui/spice-core.c
@@ -733,7 +733,7 @@ void qemu_spice_init(void)
                              tls_ciphers);
     }
     if (password) {
-        spice_server_set_ticket(spice_server, password, 0, 0, 0);
+        qemu_spice_set_passwd(password, false, false);
     }
     if (qemu_opt_get_bool(opts, "sasl", 0)) {
         if (spice_server_set_sasl_appname(spice_server, "qemu") == -1 ||
-- 
1.8.3.1

